// CDXTileSprite.h: interface for the CDXTileSprite class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CDXTILESPRITE_H__DE30C3E8_01C4_11D0_A2B6_9C449FB7024B__INCLUDED_)
#define AFX_CDXTILESPRITE_H__DE30C3E8_01C4_11D0_A2B6_9C449FB7024B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CDXTileSpriteBase.h"

class CDXTileSprite : 
	public CDXSprite, 
	public CDXTileSpriteBase  
{
public:
	void OnDraw(CDXSurface* targetSurface, int screenX, int screenY);
	void SetPos(int posX, int posY);
	CDXTileSprite(
		CDXScreen* pScreen, const char* Filename, int w, int h, int num, BOOL memoryType,
		CDXTileLayer* pLayer, int posX, int posY);
	CDXTileSprite(
		CDXTile* pTile, 
		CDXTileLayer* pLayer, int posX, int posY);
	CDXTileSprite(CDXTileLayer* pLayer, int posX, int posY);
	CDXTileSprite(CDXTileLayer* pLayer);
	CDXTileSprite();
	virtual ~CDXTileSprite();

};

#endif // !defined(AFX_CDXTILESPRITE_H__DE30C3E8_01C4_11D0_A2B6_9C449FB7024B__INCLUDED_)
