// CDXTileAnim.h: interface for the CDXTileAnim class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CDXTILEANIM_H__DE30C3E5_01C4_11D0_A2B6_9C449FB7024B__INCLUDED_)
#define AFX_CDXTILEANIM_H__DE30C3E5_01C4_11D0_A2B6_9C449FB7024B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CDXTileUnit.h"

class CDXTileAnim : public CDXTileUnit  
{
friend CDXTileAnim* CDXTileManager::Register(const char* name, CDXTileAnim*);
public:
	void SetFrameIndex(int frameIndex);
	int RandomAnim();
	virtual void UpdateAnim();
	int GetFrameCount();
	void AddFrame(DWORD frame, DWORD delay);
	CDXTileAnim();
	virtual ~CDXTileAnim();
	CDXTileAnim(CDXSprite* tileSpr, int height, WORD bltType = CDXBLT_TRANS);

protected:
	CDWordArray m_AnimFrames;
	CDWordArray m_AnimDelays;
	int m_FrameDelay;
	int m_FrameIndex;
private:
	void Init();
};

#endif // !defined(AFX_CDXTILEANIM_H__DE30C3E5_01C4_11D0_A2B6_9C449FB7024B__INCLUDED_)
