// CDXTileSpriteBase.h: interface for the CDXTileSpriteBase class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CDXTILESPRITEBASE_H__8E400D01_023C_11D0_A2B6_D2AFDCCD7F4B__INCLUDED_)
#define AFX_CDXTILESPRITEBASE_H__8E400D01_023C_11D0_A2B6_D2AFDCCD7F4B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CDXTileBase.h"

class CDXTileLayer;

class CDXTileSpriteBase : public CDXTileBase  
{
public:
	int GetPosY();
	int GetPosX();
	virtual void OnDraw(CDXSurface* targetSurface, int screenX, int screenY) = 0;
	void SetLayer(CDXTileLayer* pLayer);
	void SetPos(int posX, int posY);
	CDXTileSpriteBase();
	CDXTileSpriteBase(CDXTileLayer* pLayer, int posX, int posY);
	CDXTileSpriteBase(CDXTileLayer* pLayer);
	virtual ~CDXTileSpriteBase();

private:
	void Init();
	CDXTileLayer* m_pLayer;
	
	// Sprite Coordinate, never change directly
	int m_CoordX, m_CoordY, m_Index;
	int m_PX, m_PY;
};

#endif // !defined(AFX_CDXTILESPRITEBASE_H__8E400D01_023C_11D0_A2B6_D2AFDCCD7F4B__INCLUDED_)
