// CDXTileStack.h: interface for the CDXTileStack class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CDXTILESTACK_H__38C8C783_FCBB_11CF_A2B6_9AB547EC654B__INCLUDED_)
#define AFX_CDXTILESTACK_H__38C8C783_FCBB_11CF_A2B6_9AB547EC654B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CDXTileManager.h"

class CDXTileUnit;

class CDXTileStack : public CDXTileBase
{
friend CDXTileStack* CDXTileManager::Register(const char* name, CDXTileStack*);
public:
	int GetTileCount();
	void Draw(CDXSurface* targetSurface, int screenX, int screenY);
	void AddTile(CDXTileUnit* tile);  // automatically sort tile based on height
	CDXTileUnit* GetTile(int index);
	CDXTileStack();
	virtual ~CDXTileStack();

protected:	
	CPtrArray m_Tiles;
};
#endif // !defined(AFX_CDXTILESTACK_H__38C8C783_FCBB_11CF_A2B6_9AB547EC654B__INCLUDED_)
