#ifndef __CTE_H__
#define __CTE_H__

// Internal Flags

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows 
#include <afxwin.h>

#define CDXINCLUDEALL     // this define includes all headers, otherwise include one by one
#include <cdx.h>

	// for many CDXTile class
	const DWORD BIT_REGISTER = 1;	

	// for CDXTileViewer
	const DWORD BIT_WRAPVIEW = 2;	

	// for CDXTileLayer
	const DWORD BIT_LAYERCAP_TILE = 4;
	const DWORD BIT_LAYERCAP_SPRITE = 8;

#ifdef CTEINCLUDEALL
	#include "CDXTileAnim.h"
	#include "CDXTileBase.h"
	#include "CDXTileEngine.h"
	#include "CDXTileIsoViewer.h"
	#include "CDXTileLayer.h"
	#include "CDXTileManager.h"
	#include "CDXTileSprite.h"
	#include "CDXTileSpriteBase.h"
	#include "CDXTileStack.h"
	#include "CDXTileUnit.h"
	#include "CDXTileViewer.h"
#endif


#endif